Bidirectional Forwarding Detection (BFD) on Multi-chassis Link Aggregation Group (MC-LAG) Interfaces
Internet-Draft draft-mtm-rtgwg-bfd-mc-lag-04
Greg Mirsky
Ericsson
gregimirsky@gmail.com
Jeff Tantsura
Microsoft
jefftant.ietf@gmail.com
Gyan Mishra
Verizon Inc.
gyan.s.mishra@verizon.com
2022
Routing
RTG Working Group
Internet-Draft
MC-LAG
BFD
This document describes the use of Bidirectional Forwarding Detection for Multi-chassis Link Aggregation Group to provide faster than Link Aggregation Control Protocol convergence. This specification enhances RFC 7130 "Bidirectional Forwarding Detection (BFD) on Link Aggregation Group (LAG) Interfaces".
Introduction
The [RFC7130] defines the use of Bidirectional Forwarding Detection (BFD) on Link Aggregation Group (LAG) interfaces. A multi-chassis LAG (MC-LAG) is a type of LAG [IEEE.802.1AX.2008] with member links terminated on separate chassis. [IEEE.802.1AX.2008] does not specify MC-LAG but doesn't preclude it either. Link Aggregation Control Protocol (LACP), also defined in [IEEE.802.1AX.2008], can work with MC-LAG but, as in the LAG case, the fastest link failure detection interval is only in a range of single-digit seconds. This document defines how the mechanism defined to work on LAG interfaces [RFC7130] can be adapted to the MC-LAG case to enable sub-second detection of member link failure.
Conventions used in this document
Acronyms
BFD: Bidirectional Forwarding Detection
LAG: Link Aggregation Group
LACP: Link Aggregation Control Protocol
MC-LAG: Multi-chassis Link Aggregation Group
MPLS: Multi-Protocol Label Switching
Requirements Language
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
Problem Statement
[RFC7130] does not specify the selection of the destination IP address for the BFD control packet. The only requirement related to the selection is in Section 2.1, stating that the use of the address family across all member links of the given LAG MUST be consistent across all the links. Thus it is implied that the same unicast IP address will be used on all member links of the LAG as the use of different destination addresses would defeat the purpose of [RFC7130] transforming the case into a set of single-hop BFD sessions [RFC5881]. But a single unicast IP address may not work in the MC-LAG case as the member links are terminated on the separate chassis. This document proposes overcoming this problem if using IP or Multi-Protocol Label Switching (MPLS) data plane encapsulation.
BFD on MC-LAG with IP-only Data Plane
As described in [RFC7130], a micro-BFD session on the LAG interfaces may use IPv4 or IPv6 address family. In some cases, two sessions, one with IPv4 and one with IPv6 addresses, may run concurrently. This document doesn't change any of these but specifies the selection of the destination IP address in the MC-LAG use case:
- if IPv4 address family is used for the micro-BFD session, then an address from the link-local multicast address 224.0.0.0/24 range SHOULD be used as the destination IP address. The subnet broadcast address MAY be used as the destination IP address as well;
- if the address family used is IPv6, then the IPv6 All Routers address with the link scope, as defined in [RFC4291], FF02::2/128 MUST be used as the destination IP address.
BFD on MC-LAG with IP/MPLS Data Plane
IP/UDP is the most natural encapsulation format for the case of micro-BFD on MC-LAG over IP/MPLS data plane as displayed in Figure 1.
BFD on MC-LAG member link on IPv4/MPLS data plane

 0                   1                   2                   3
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 ~                      MPLS Label Stack                       ~
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-------
 ~                                                             ~    |
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+   IP
 |                   Destination IP address                    |
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ Header
 |                     Source IP address                       |    |
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+------
 |                         UDP header                          |
 |                                                             |
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
 ~                     BFD Control Packet                      ~
 |                                                             |
 +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

An IP and UDP headers immediately follow an MPLS label stack. The destination IP address MUST be set to the loopback address 127.0.0.1/32 for IPv4 [RFC1812], or the loopback address ::1/128 for IPv6 [RFC4291]. TTL or Hop Limit field value MUST be set to 255, according to [RFC5881].
IANA Considerations
This document makes no requests for IANA allocations. This section may be deleted by RFC Editor.
Security Considerations
This document does not introduce new security concerns but inherits all security considerations discussed in [RFC5881] and [RFC7130].
Acknowledgements
TBD
References
Normative References
[IEEE.802.1AX.2008]

IEEE Standard for Local and metropolitan area networks - Link Aggregation
November 2008
IEEE 802.1-AX
Informative
[RFC7130]
[RFC2119]
[RFC8174]
[RFC5881]
[RFC4291]
[RFC1812]